// *************************************************************************
// xorg-edit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@deesaster.org>
// Licence: GPLv3
// *************************************************************************

/**
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/dialog.h>
#include <wx/checkbox.h>
#include <wx/textctrl.h>
#include <wx/string.h>
#include "../libxorgedit/settings.h"

// **************************
// Constants
// **************************

// **************************
// Class Definition
// **************************

class SettingsDialog : public wxDialog
{
public:
  SettingsDialog(wxWindow* parent, const wxString& title, Settings& settings);
  virtual ~SettingsDialog();

  // buttons
  void OnOK(wxCommandEvent& event);
  void OnCancel(wxCommandEvent& event);
  void OnChangeOptionDir(wxCommandEvent& event);

private:
  wxCheckBox *checkSaveSettings;
  wxCheckBox *checkLoadLast;
  wxCheckBox *checkShowSplash;
  wxCheckBox *checkShowBlank;
  wxCheckBox *checkRememberTest;
  wxTextCtrl *optDir;

  Settings *pointer;          // pointer to settings

  DECLARE_EVENT_TABLE();

  // IDs for the controls
  enum settingsDialogID
  {
    BUTTON_SETTINGS_CHANGEOPTDIR,
  };
};

#endif // SETTINGSDIALOG_H
